Bug 2097940 - openshift-install destroy cluster traps if vpcRegion not specified
Summary: openshift-install destroy cluster traps if vpcRegion not specified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.11
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 4.11.0
Assignee: Nobody
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-17 02:13 UTC by Mark Hamzy
Modified: 2022-08-10 11:18 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 11:18:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 6020 0 None open Bug 2097940: PowerVS: Handle optional VPCRegion 2022-06-17 02:16:43 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 11:18:38 UTC

Description Mark Hamzy 2022-06-17 02:13:11 UTC
Version:

$ openshift-install version
4.11

Platform:
PowerVS

Please specify:
* IPI

What happened?

If the install-config.yaml file does not contain
...
platform:
  powervs:
    vpcRegion: "eu-gb"
...
for example, then while the create cluster works, the corresponding destroy cluster will trap.

This setting is specified as optional, but the cleanup code required it.  Therefore, it needs to be derived if not present.

Comment 3 Julie 2022-06-24 12:15:53 UTC
Tested with vpcRegion set in the 'install-config.yaml' file and verified that destroy process works fine.
Good to close this bug.


Note:
Have another bug opened for addressing the need for running the command twice, to get the destroy properly done -> https://bugzilla.redhat.com/show_bug.cgi?id=2099872

Comment 6 errata-xmlrpc 2022-08-10 11:18:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.